Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.forager.finalist
Class AbstractFinalistPodium

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.forager.finalist.AbstractFinalistPodium

All Implemented Interfaces:
  EventListener, FinalistPodium, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  HighestScoreFinalistPodium, StrategicOscillationByLevelFinalistPodium

    public abstract class AbstractFinalistPodium

extends LocalSearchPhaseLifecycleListenerAdapter
implements FinalistPodium

Abstract superclass for `FinalistPodium`.

See Also:
  `FinalistPodium`

Field Summary
`protected boolean` | `finalistIsAccepted`
`protected List<LocalSearchMoveScope>` | `finalistList`
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`AbstractFinalistPodium()`

Method Summary
`void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
`LocalSearchMoveScope` | `pickMove(LocalSearchStepScope stepScope)` See `Forager.pickMove(LocalSearchStepScope)`.
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
`phaseStarted, stepEnded`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.decider.forager.finalist.FinalistPodium
`addMove`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`phaseStarted, stepEnded`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### finalistIsAccepted

    protected boolean finalistIsAccepted

### finalistList

    protected List<LocalSearchMoveScope> finalistList

Constructor Detail

### AbstractFinalistPodium

    public AbstractFinalistPodium()

Method Detail

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `stepStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

### pickMove

    public LocalSearchMoveScope pickMove(LocalSearchStepScope stepScope)

  Description copied from interface: `FinalistPodium`
  See `Forager.pickMove(LocalSearchStepScope)`.

  Specified by:
    `pickMove` in interface `FinalistPodium`
  Parameters:
    `stepScope` - never null
  Returns:
    sometimes null, for example if no move is selected

### phaseEnded

    public void phaseEnded(LocalSearchPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.